Get the tools you need to learn Java skills fast!
Video tutorials, eBooks, hands-on lab exercises, sample code.
Get started
The moose likes JForum and the fly likes Workaround for using JForum2 on PostgreSQL 8.3 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login


Win a copy of The Software Craftsman this week in the Agile forum!
JavaRanch » Java Forums » Products » JForum
Bookmark "Workaround for using JForum2 on PostgreSQL 8.3" Watch "Workaround for using JForum2 on PostgreSQL 8.3" New topic
Author

Workaround for using JForum2 on PostgreSQL 8.3

Migrated From Jforum.net
Ranch Hand

Joined: Apr 22, 2012
Posts: 17424
Hi,

I've just upgraded my Debian server to 5.0 (Lenny) and now I'm with PostgreSQL 8.3. But with that release JForum2 has a SQL issue because PG 8.3 is more strict than older versions.

The error is:

It's relative to the ForumModel.getModeratorList SQL query.

A workaround is to change the SQL queries (directly in WEB-INF/config/database/generic/generic_queries.sql):
by

BTW I'm surprised that the type of the role_value column (in jforum_role_values table) is character varying.
[originally posted on jforum.net by turman]
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: Workaround for using JForum2 on PostgreSQL 8.3